Subject: Re: Setup Failure
From: Arthur I Schwarz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 25 Jan 2005 08:15:44 -0800

Igor                                                                                            
                      Pechtchanski             To:      Arthur I Schwarz <[email-masked]>              
                      <[email-masked]         cc:      [email-masked]                                             
                      .edu>                    Subject: Re: Setup Failure                                             
                                                                                                                      
                      01/24/2005 06:58                                                                                
                      PM                                                                                              
                      Please respond                                                                                  
                      to cygwin                                                                                       

On Mon, 24 Jan 2005, Arthur I Schwarz wrote:

> From: Igor Pechtchanski
>
> On Mon, 24 Jan 2005, aschwarz1309 wrote:
>
> > From: Igor Pechtchanski
>
> > > On Mon, 24 Jan 2005, aschwarz1309 wrote:
> > >
> > > > The following error message was displayed in a pop-up window when I
> > > > tried to execute setup.
> > > >
> > > >   Fatal Error: Uncaught Exception
> > > >   Thread: install
> > > >   Type: St16invalid_argumet
> > > >   Message: URL Scheme not registered!
> > > >
> > > > I am using the setup.exe and setup.ini files downloaded on Jan 17.
> > > > The steps executed to display this message were:
> > > > 1: I copied the setup files from one computer to another (Intel to
> > > > AMD machines).
> > > > 2: I copied the downloaded Cygwin files.
> > > > [snip]
> > > >
> > > > Any idea how to fix the problem?
> > >
> > > Do you Google:
> > > <http://google.com/search?q=%22URL+Scheme+not+registered%22+cygwin>?
> > > The first match is a thread that provides a solution.
> > >          Igor
> >
> > I download in the following steps:
> > [snip]
> > After the work installation, I copied Setup.exe and Setup.ini and the
> > folder. I brought the files home, copied the files to my home computer
> > and attempted to do a local install. The install failed with the
> > indicated message(s), see below.
>
> It's unclear whether you're doing it the wrong way or not.  When you say
> "copied setup.exe and setup.ini", do you mean that you copied them to the
> same directory?

Sorry, I meant "do you copy setup.ini and the package files to the same
directory?".

-- I have a copy of setup.ini in the same directory that has setup.exe.
-- This setup.ini is of unknown provenance. I have assumed that it is
-- ignored by setup.exe during the local install.
-- For the local install, I reference another directory containing the
-- setup.ini file from my work machine. The directory structure is:
--
--     root/cygwin                 contains setup.exe and a copy of
setup.ini
--     root/cygwin/<http*>         local install directory
--     root/cygwin/<http*>/release local install packages

> That would make setup crash in the way you described (see the above
> Google link).
>
> -- I copy setup.exe from www.cygwin.com and execute setup.exe on
> -- the host computer.
> -- I copy setup.exe and the directory containing the downloaded
> -- installation files and setup.ini that setup creates.

Do you copy the directory verbatim?  What is the method of copying?  Are
special characters lost during copying?

-- I copy from HDD to a USB connected memory (soft drive).
-- I use the Windows Explorer to copy the <http*> directory and all it's
-- contents. I assume that this is a binary-to-binary copy with characters
-- neither added, subtracted, intercolated, or divided.

> -- But you raise a good question. When I want to migrate files from
> -- computer to computer (for an install using setup), what files
> -- are required? Is it only setup.exe and the directory containing
> -- the downloaded installation files, or are there other files needed?

It should be only setup.exe and the downloaded files directory...
I just realized something, however: did you report the version of
setup.exe that you're using?  If not, please let us know what it is.
If you're downloading it off <http://cygwin.com/>, beware of the caching
in IE (I've been bitten by it before).

-- setup-2.427-1-src.tar.bz2 downloaded from http://cygwin.com

> -- In particular, since I am not downloading additional files I
> -- specify a 'local installation' in the setup pop-up. Is this correct?

It should be...
Oh, and one last thing: more information should be available in the
/var/log/setup.log and /var/log/setup.log.full files from the failed run.
Make sure they *are* from the failed run (especially the latter, which
gets overwritten every time setup runs).
HTH,

-- I will look at the log files tonight. I have looked at setup.log in
-- root/cygwin (containing setup.exe) and it appears to be information
-- free. Hence, a problem with no solution (or in management speak, an
-- issue which needs resolution).

art

             Igor
--

http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_                         [email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_                     [email-masked]
     |,4-  ) )-,_. ,\ (  `'-'                    Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL          a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"The Sun will pass between the Earth and the Moon tonight for a total
Lunar eclipse..." -- WCBS Radio Newsbrief, Oct 27 2004, 12:01 pm EDT

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/